跳到主要内容

查看 API Key (V2)

Returns one customized ACL API key and its directly assigned roles. The secret is never returned.

GET/v2/api-keys/{apiKeyId}
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API Key。

示例值:Bearer {{TOKEN}}
apiKeyIdstringpath必填项

公开 API Key ID。

示例值:key-xxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export apiKeyId="key-xxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/api-keys/${apiKeyId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应

Returns a successful result or an error message.

成功响应。

codeinteger必填项

响应码。

示例值:0
dataobject必填项
apiKeyIdstring必填项

公开 API Key ID。

namestring必填项

API Key 显示名称。

descriptionstring

API Key 描述。

creatorNamestring必填项

解析出的创建者显示名称。

createdBystring必填项

创建者邮箱地址或创建者 API Key ID。

orgRolestring必填项

授予 API Key 的组织角色:Owner、Member 或 Billing-Admin。

projectsarray必填项

授予 API Key 的项目级访问权限。

[]projectsobject必填项
projectIdstring必填项

项目 ID。

projectNamestring

项目显示名称。

rolestring必填项

项目内角色:Admin、Read-Write 或 Read-Only。

allClusterboolean

访问权限是否覆盖项目内的所有集群。

clustersarray

API Key 可访问的集群列表。

[]clustersobject
clusterIdstring必填项

集群 ID。

clusterNamestring必填项

集群显示名称。

allVolumeboolean

访问权限是否覆盖项目内的所有存储卷。

volumesarray

API Key 可访问的存储卷列表。

[]volumesobject
volumeIdstring必填项

存储卷 ID。

volumeNamestring必填项

存储卷显示名称。

createTimestring<date-time>必填项

创建时间,采用 UTC ISO 8601 格式。

失败响应。

codeinteger必填项

响应码。

messagestring必填项

错误消息。

Successjson
{
"code": 0,
"data": {
"apiKeyId": "key-xxxxxxxxxxxxxx",
"name": "Data Pipeline",
"description": "API key used by the ingestion pipeline",
"creatorName": "Alice",
"createdBy": "alice@example.com",
"createTime": "2026-07-22T02:30:00Z",
"orgRole": "Org Viewer",
"projects": [
{
"projectId": "proj-xxxxxxxx",
"projectName": "Project xxxx",
"role": "Data Reader",
"allCluster": true,
"clusters": [],
"allVolume": true,
"volumes": []
}
]
}
}
Ctrl I